Настройка инета через L2tp

Изображение пользователя Therion.

Я новичок ещё в семействе Linux. Сначала я установил себе Ubuntu 10.04 и с лёгкостью настроил соединение с локальной сетью и инетом через L2tp. Мне посоветовали этот способ и я этим людям очень благодарен, но к сожалению он не работает на Kubuntu. Там всё дело заключается в установке xl2tpd_1.2.7+dfsg-1_amd64.deb (86) и vpnpptp-allde-0.3.0-1amd64.deb (86), и в последующей настройке vpnpptp (help прилагается). Сама настройка занимает от силы минут 5 - 7. Вот сайт от куда можно скачать последние версии программ http://code.google.com/p/vpnpptp/downloads/list . Хотел спросить расширение .rpm в Kubuntu не поддерживается?

0
Жюстина - 15 Май, 2011 - 01:09
Изображение пользователя Жюстина.

Ubuntu 10.04, а amd64 ли?

rpm для убунт это архив простой, и как установочный не поддерживается, только через костыль(alien(перевод нужен?)) такое пользовать можно, и то не советую!!!

L2tp есть родная убунтовая поддержка! Смешивать ну никак не надо этого ничего deb и rpm не очень дружат в одной системе! (даже враждуют!!!)

-1
Therion - 15 Май, 2011 - 01:34
Изображение пользователя Therion.

Да именно amd64. Но при чём тут Ubuntu? Ubuntu я то без проблем настроил, а вот Kubuntu 10.10 не могу настроить. А говорили что системы одинаковы кроме рабочих сред.

0
DarkneSS - 15 Май, 2011 - 14:16
Изображение пользователя DarkneSS.

Вы так говорите, будто убунту рпмы кушает без проблем.
L2tp ваше kvpnc умеет, установите, и будет вам шаастье.

0
dyug - 15 Май, 2011 - 22:07

а что именно, и как именно происходила настройка то?
уже становится интересно просто...
ибо сетевая подсистема у них уж точно одинакова... и абсолютно точно не зависит то архитектуры...

0
Androidd - 15 Май, 2011 - 09:36

А пакеты от Debian(Ubuntu) разве не ставятся? Сначала ставьте xl2tpd и другие зависимости. В крайнем случае есть исходники, там в них инструкция по сборке пакетов.

0
Androidd - 15 Май, 2011 - 11:13

sudo dpkg -i пакет # установить
sudo dpkg -r пакет # удалить
и вывод консоли представьте

-1
Androidd - 15 Май, 2011 - 15:03

Нет в Ubuntu (Debian, Kubuntu) никакой поддержки l2tp, kvpnc тоже не поддерживает. Для NetworkManager'а есть плагин l2tp только для Fedora, и то он тестовый и не развивается (http://redmine.russianfedora.ru/issues/461). Нужно чтобы было без IPSec - а это только vpnpptp умеет или плагин по ссылке.

+1
DarkneSS - 15 Май, 2011 - 16:44
Изображение пользователя DarkneSS.

Ну ну
aptitude show kvpnc
Пакет: kvpnc
Новый: да
Состояние: установлен
Автоматически установлен: нет
Версия: 0.9.6a-2
Приоритет: необязательный
Раздел: universe/net
Сопровождающий: Ubuntu Developers
Размер в распакованном виде: 3 015k
Зависимости: kdebase-runtime, libc6 (>= 2.4), libgcc1 (>= 1:4.1.1), libgcrypt11 (>= 1.4.2), libkde3support4 (>= 4:4.3.4),
libkdecore5 (>= 4:4.4.0), libkdeui5 (>= 4:4.3.4), libkfile4 (>= 4:4.3.4), libkio5 (>= 4:4.3.4),
libknotifyconfig4 (>= 4:4.3.4), libkpty4 (>= 4:4.3.4), libqt4-dbus (>= 4:4.5.3), libqt4-network (>=
4:4.5.3), libqt4-qt3support (>= 4:4.5.3), libqt4-svg (>= 4:4.5.3), libqt4-xml (>= 4:4.5.3), libqtcore4
(>= 4:4.7.0~beta1+git20100522-0ubuntu1), libqtgui4 (>= 4:4.5.3), libstdc++6 (>= 4.4.0), kvpnc-data (=
0.9.6a-2), menu, net-tools, psmisc, module-init-tools
Предлагает: iptables, openssl, openvpn, racoon, vpnc, pptp-linux, openswan, xl2tpd, openct, opensc
Описание: vpn clients frontend for KDE4
KVpnc is a KDE4 frontend for various vpn clients.
It supports :
* Cisco-compatible VPN client (vpnc)
* IPSec (freeswan, openswan, strongSwan, racoon)
* Point-to-Point Tunneling Protocol (PPTP) client (pptp-linux)
* Virtual Private Network daemon (openvpn)
* L2TP, Vtun & OpenSSH
Сайт: http://home.gna.org/kvpnc

0
Androidd - 15 Май, 2011 - 17:53

То, что Вы подчеркнули - это L2TP в kvpnc с IpSec, а надо без IpSec. Нету в kvpnc простых l2tp соединений.

+1
_victor_ - 15 Май, 2011 - 21:06
Изображение пользователя _victor_.

Есть такой гуевый проект для настройки l2tp vpnpptp ссылочка, там есть deb-пакеты для 32 и 64-битных версий.

0
Therion - 15 Май, 2011 - 21:35
Изображение пользователя Therion.

У меня получилось подключится к инету через vpn2, но работает как то не стабильно (скорость не очень, да и соединяется через раз). Но вобщем я систему обновил (через ppa:kubuntu-ppa и установка дополнительных кодеков для проигрывания мультимедиа файлов и flash:
sudo apt-get install kubuntu-restricted-extras). И решил просто попробовать ещё разок запустить vpnpptp-allde-0.3.0-1amd64.deb и вот чудо мне было разрешено установить эту прогу (xl2tpd_1.2.8+dfsg-1_amd64.deb я установил ещё перед обновлением системы, стало без проблем). Так вот установка мне была разрешена, но как только запустил мне выдало сообщение "Одновременно может быть запущена только одна программа установки/удаления пакетов. Сначала закройте другое приложение. Это может быть Менеджер обновлений, aptitude или Synaptic." Смотрел в запущенных приложениях ничего такого не нашёл. Люди подскажите что это может быть? Я ниже прикреплю скрин с этим отказом установки vpnpptp-allde.
Люди мне ещё нужен совет - хочу установить например Фаер Фокс через установщзик или что нибудь с репазитория, начинает что то проверять и потом выдаёт отказ "Не удалось получить исключительную блокировку модуля. Закройте все остальные утилиты управления пакетами(скрин ниже прикреплю тоже).

Картинки под кат!
0
vetal.44 - 15 Май, 2011 - 22:56
Изображение пользователя vetal.44.

Ну так набери sudo dpkg --configure -a в консоль!
Вот посмотри это. У меня по нему отногрупник себе нет настроил.

-1
Therion - 15 Май, 2011 - 23:14
Изображение пользователя Therion.

Два фото не загрузились. В прошлом комментарии фото относится к проблемой загрузки приложений типа с загрузчика фаер фокса ну или прогу загружаемую с репазитория.
А в этот комментарий добавляю фото с проблемой при установке vpnpptp-allde (о чём я выше писал)

0
DarkneSS - 16 Май, 2011 - 07:26
Изображение пользователя DarkneSS.

Простыни под кат надо прятать!

0
Androidd - 15 Май, 2011 - 23:21

Если не получается разобраться с запущенными приложениями, и поубивать мешающие, то перезагрузитесь, и всё сразу заработает.
или
sudo dpkg -i ./vpnpptp-allde-0.3.0-1amd64.deb # установить программу, путь укажите где лежит, или из текущего каталога
ну и вывод тогда в консоли появится, который можно будет нам показать.

0
Therion - 16 Май, 2011 - 19:46
Изображение пользователя Therion.

В том то и дело. Оказалось что я не могу установить теперь приложения не из репазиториев не deb файлы. Всё время одно и тоже сообщение выскакивает: "Одновременно может быть запущена только одна программа установки/удаления пакетов. Сначала закройте другое приложение. Это может быть Менеджер обновлений, aptitude или Synaptic." Я уже не знаю что и делать...

0
_victor_ - 16 Май, 2011 - 19:54
Изображение пользователя _victor_.

Даже не знаю, что сказать. У меня загрузился без проблем - потянул за собой только 2 пакета.

+1
dyug - 16 Май, 2011 - 19:57

то что у вас такое пишется, означает что либо работает в беграунде программа обновления пакетов (и из за отсутствия нета она не может достучаться) или остался локфайл в /var/cache/apt/archives
что вернее я не скажу.

0
Гость - 16 Май, 2011 - 20:54

Интернет я настроил через стандартный сетевой интерфейс. А вот проги deb не устонавливаются даже если инсталятор у меня на компе закачан.

0
DarkneSS - 16 Май, 2011 - 22:48
Изображение пользователя DarkneSS.

В гугл: репозиторий, apt, kpackagekit
Изучить матчасть, вдохновиться и начать задавать умные вопросы.

0
virus84 - 23 Май, 2011 - 20:49

CTRL+ESC убиваете все процессы с названием kpackagekit (в т.ч. kpackagekitd если запущен), для разблокировки.
по настройке l2tp вот статья на форуме, юзайте поиск активнее

Отправить комментарий

CAPTCHA на основе изображений
Введите цифры